

package gov.va.med.cds.monitor;


/**
 * Class extends the base MethodMetrics (which only exposes resetting and enabling of
 * metrics gathering) - this class implements a standard interface for Metric MBeans
 * and implements the standard methods that allow access to the metric measurements.
 *
 * @author DNS   TALBOM
 *
 */
public class StandardCdsMethodMetrics
    extends
        AbstractMethodMetrics
    implements
        StandardCdsMethodMetricsInterface
{

    /*
     * (non-Javadoc)
     *
     * @see gov.va.med.cds.monitor.StandardMetricsInterface#getTransactions()
     */
    public long getCdsTransactions( )
    {
        return getTransactions();
    }


    /*
     * (non-Javadoc)
     *
     * @see gov.va.med.cds.monitor.StandardMetricsInterface#getElapsedTime()
     */
    public long getCdsElapsedTime( )
    {
        return getElapsedTime();
    }


    /*
     * (non-Javadoc)
     *
     * @see gov.va.med.cds.monitor.StandardMetricsInterface#getTransactionsPerSecond()
     */
    public double getCdsTransactionsPerSecond( )
    {
        return getTransactionsPerSecond();
    }


    /*
     * (non-Javadoc)
     *
     * @see gov.va.med.cds.monitor.StandardMetricsInterface#getAverageElapsedTime()
     */
    public double getCdsAverageElapsedTime( )
    {
        return getAverageElapsedTime();
    }


    /*
     * (non-Javadoc)
     *
     * @see gov.va.med.cds.monitor.StandardMetricsInterface#getMaxElapsedTime()
     */
    public long getCdsMaxElapsedTime( )
    {
        return getMaxElapsedTime();
    }


    /*
     * (non-Javadoc)
     *
     * @see gov.va.med.cds.monitor.StandardMetricsInterface#getMinElapsedTime()
     */
    public long getCdsMinElapsedTime( )
    {
        return getMinElapsedTime();
    }
}
